Subject: Re: Interact directly on Emacs bug#28620: mouse drag event records wrong release window

From: Robert Weiner <[email-masked]>
Date: Wed, 11 Oct 2017 21:47:16 -0400

On Wed, Oct 11, 2017 at 9:35 PM, Robert Weiner <[email-masked]> wrote:

>
> Is there any way to deal with external window z-order layering such that
> one can tell within Emacs whether the topmost OS-level window at an
> absolute mouse position is an Emacs frame or not?
>

​One idea is to expand frame-list-z-order with a 2nd optional argument of
all-display-windows-flag which when non-nil would include all of the
OS-level windows in the returned list.  Maybe a new object type or
frame-variant is needed for this.  Then just add another function that
returns the edge coordinates for such windows and we could account for them
in any z-ordering computations.  What do you think?

Bob
​